/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _GGUI_DOWNLOAD_H
#define _GGUI_DOWNLOAD_H

#include <gnet/gnet.h>

void ggui_download_init (void);
void ggui_download_shutdown (void);

void ggui_download_get (const GURL* url, const gchar* path, const GSHA* sha);
void ggui_download_cancel (const GURL* url);
gint ggui_download_get_percent_complete (const GURL* url); /* -1 not trans, -2 = down */
#define ggui_download_have(U) (ggui_download_get_percent_complete(U) == 100)

void ggui_download_show_toolbar (void);


#endif /* _GGUI_DOWNLOAD_H */
