/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#ifndef _ENTRY_DIALOG_H
#define _ENTRY_DIALOG_H

#include <glib.h>


typedef void (*EntryDialogOkFunc)(gchar* text, gchar* text2);
typedef void (*EntryDialogCancelFunc)(void);

typedef struct _EntryDialog EntryDialog;

EntryDialog* entry_dialog_new (gchar* title, gchar* entry_text, gchar* entry_text2,
			       EntryDialogOkFunc ok_func, EntryDialogCancelFunc cancel_func);

void entry_dialog_show (EntryDialog* ed);
void entry_dialog_set_text (EntryDialog* ed, const gchar* text);


#endif /* _ENTRY_DIALOG_H */
